Bug 1048017 - I am unable to restart my cartridge. It looks like it happened when I added the Openshift Metrics cartridge. Could I get it removed? There doesn't seem to be a good way to do this. I also can't ssh into my gear.
Summary: I am unable to restart my cartridge. It looks like it happened when I added t...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: OpenShift Online
Classification: Red Hat
Component: Image
Version: 2.x
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Michal Fojtik
QA Contact: libra bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-02 21:58 UTC by bo67192
Modified: 2015-05-15 00:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-01-31 12:12:46 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description bo67192 2014-01-02 21:58:36 UTC
Description of problem:


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 bo67192 2014-01-02 21:59:28 UTC
My app is http://carpool-carpooler.rhcloud.com/ if that's helpful.

Comment 2 Michal Fojtik 2014-01-03 15:38:58 UTC
Hi,

Can you please provide more informations? Like the error message you get from OpenShift when you are trying to SSH into your app or what you get back when you are doing app restart?

Comment 3 bo67192 2014-01-03 19:01:37 UTC
Hello and thank you for your response!

When I try to ssh in, it appears to connect, but trying to run any command produces:

rhcsh> ls
bash: fork: retry: Resource temporarily unavailable
bash: fork: retry: Resource temporarily unavailable
bash: fork: retry: Resource temporarily unavailable
bash: fork: retry: Resource temporarily unavailable
^C^C^Cmobash: fork: Resource temporarily unavailable

rhcsh> mongo
bash: fork: retry: Resource temporarily unavailable
bash: fork: retry: Resource temporarily unavailable
^C^C^Cbash: fork: retry: Resource temporarily unavailable
bash: fork: retry: Resource temporarily unavailable
bash: fork: Resource temporarily unavailable

rhcsh> 

When I try to restart the application using the web interface it tells me that an error occurred and I should try refreshing the page.

Oddly enough, I can get to a couple of my web pages. When I try to access a page that uses mongo (one of my test pages) it hangs.

Any suggestions are welcome. Thanks!

I do not know if it's connected, but the issues seemed to start when I added the Openshift Metrics cartidge.

Comment 4 Dan McPherson 2014-01-04 01:45:51 UTC
Also you should be able to remove the cartridge with the client tools.   The command would be:

rhc cartridge remove metrics-0.1 -a carpool

Comment 5 Michal Fojtik 2014-01-06 14:33:10 UTC
Alternatively you can try to use 'force-stop' action to free some processes.

rhc force-stop carpool

This will stop the application. You can start it again using:

rhc app start carpool

Comment 6 Michal Fojtik 2014-01-07 16:56:18 UTC
Does the commands mentioned above help?

Comment 7 Michal Fojtik 2014-01-09 11:03:43 UTC
ping? :-)

Comment 9 bo67192 2014-01-31 12:19:26 UTC
Thank you for your time on this, I got frustrated and deleted the gear and started over. If I hit this issue again I will try these solutions.

Thanks again!

(In reply to Michal Fojtik from comment #7)
> ping? :-)


Note You need to log in before you can comment on or make changes to this bug.